Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document
Class HiddenDataMap

    java.lang.Object
      info.bioinfweb.treegraph.document.HiddenDataMap

All Implemented Interfaces:
  Cloneable, Map<String,TextElementData>

    public class HiddenDataMap

extends Object
implements Cloneable, Map<String,TextElementData>

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Field Summary
`private HashMap<String,TextElementData>` | `map`

Constructor Summary
`HiddenDataMap()`

Method Summary
`void` | `assign(HiddenDataMap other)` Clears the current contents of the map and fills it with copies of the contents of the given map.
`void` | `clear()`
`HiddenDataMap` | `clone()` Returns a deep copy of this map and its contents.
`boolean` | `containsKey(Object key)`
`boolean` | `containsSameID(HiddenDataMap other)` Tests if the specified map contains one or more IDs that are also contained in this map.
`boolean` | `containsValue(Object value)`
`Set<Map.Entry<String,TextElementData>>` | `entrySet()`
`boolean` | `equals(Object other)`
`TextElementData` | `get(Object key)`
`int` | `hashCode()`
`Iterator<String>` | `idIterator()`
`boolean` | `isEmpty()`
`Set<String>` | `keySet()`
`TextElementData` | `put(String key, TextElementData value)`
`void` | `putAll(Map<? extends String,? extends TextElementData> m)`
`TextElementData` | `remove(Object key)`
`int` | `size()`
`String` | `toString()`
`Collection<TextElementData>` | `values()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### map

    private HashMap<String,TextElementData> map

Constructor Detail

### HiddenDataMap

    public HiddenDataMap()

Method Detail

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<String,TextElementData>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map<String,TextElementData>`

### put

    public TextElementData put(String key,
                               TextElementData value)

  Specified by:
    `put` in interface `Map<String,TextElementData>`

### size

    public int size()

  Specified by:
    `size` in interface `Map<String,TextElementData>`

### values

    public Collection<TextElementData> values()

  Specified by:
    `values` in interface `Map<String,TextElementData>`

### idIterator

    public Iterator<String> idIterator()

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map<String,TextElementData>`

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map<String,TextElementData>`

### entrySet

    public Set<Map.Entry<String,TextElementData>> entrySet()

  Specified by:
    `entrySet` in interface `Map<String,TextElementData>`

### equals

    public boolean equals(Object other)

  Specified by:
    `equals` in interface `Map<String,TextElementData>`
  Overrides:
    `equals` in class `Object`

### get

    public TextElementData get(Object key)

  Specified by:
    `get` in interface `Map<String,TextElementData>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map<String,TextElementData>`
  Overrides:
    `hashCode` in class `Object`

### keySet

    public Set<String> keySet()

  Specified by:
    `keySet` in interface `Map<String,TextElementData>`

### putAll

    public void putAll(Map<? extends String,? extends TextElementData> m)

  Specified by:
    `putAll` in interface `Map<String,TextElementData>`

### remove

    public TextElementData remove(Object key)

  Specified by:
    `remove` in interface `Map<String,TextElementData>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### containsSameID

    public boolean containsSameID(HiddenDataMap other)

  Tests if the specified map contains one or more IDs that are also contained in this map.

  Parameters:
    `other` -
  Returns:

### assign

    public void assign(HiddenDataMap other)

  Clears the current contents of the map and fills it with copies of the contents of the given map.

  Parameters:
    `other` - - the source map for the contents to be assigned

### clone

    public HiddenDataMap clone()

  Returns a deep copy of this map and its contents.

  Overrides:
    `clone` in class `Object`
  See Also:
    `Object.clone()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD